﻿// ----------------------------------------------------------------------------------
//
// Copyright Microsoft Corporation
// Licensed under the Apache License, Version 2.0 (the "License");
// you may not use this file except in compliance with the License.
// You may obtain a copy of the License at
// http://www.apache.org/licenses/LICENSE-2.0
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.
// ----------------------------------------------------------------------------------

using System.Management.Automation;
using Microsoft.Azure.Commands.Management.Storage.Models;
using Microsoft.Azure.Management.Storage;

namespace Microsoft.Azure.Commands.Management.Storage.StorageAccount
{
    [Cmdlet(VerbsCommon.Get, StorageUsageNounStr), OutputType(typeof(PSUsage))]
    public class GetAzureStorageUsageCommand : StorageAccountBaseCmdlet
    {
        protected override void ProcessRecord()
        {
            base.ProcessRecord();

            foreach (var usage in this.StorageClient.Usage.List().Usages)
            {
                WriteObject(new PSUsage() 
                {
                    LocalizedName = usage.Name.LocalizedValue,
                    Name = usage.Name.Value,
                    Unit = usage.Unit,
                    CurrentValue = usage.CurrentValue,
                    Limit = usage.Limit
                });
            }
        }
    }
}
